;This is a sample preferences file for StringSnip. Should be
;copied to ENVARC:StringSnip.prefs. To use these preferences, modify the
;StringSnip installation line to
;
; StringSnip PREFS ENV:StringSnip.prefs INSTALL
;
;
WRAP=off		
;whether the TAB expansion wraps around or not.

;TAB expansion settings:
;These are priorities how the list of found nodes are sorted and in
;which order they appear. The list of found matches can be cycled thru
;with the TAB expansion keys, as in ViNCEd.

TAB_FILE_PRI=0		
;priority of non-executable non-script files
TAB_EXEC_PRI=2		
;priority of executables.
TAB_SCRIPT_PRI=1	
;priority of script files.
TAB_INFO_PRI=-10	
;priority of icons
TAB_DEVICE_PRI=-2	
;of devices
TAB_ASSIGN_PRI=-2	
;of assigns (logical devices)
TAB_VOLUME_PRI=-2	
;of volume names
TAB_DIRECTORY_PRI=3	
;of directories
TAB_FULLEXPAND=off	
;should the first TAB expand the file completely?


;Keyboard:
;These are one or more qualifiers, i.e.
; Alt, Shift for either shift or alt key, RAmiga, LAmiga, RShift, LShift,
; RAlt, RAlt for the right/left modifier keys, "Num" if numlock is "on".
; The numlock is a special modifier that is toggled by an additional key
; to be set up here, it is completely unrelated to the "numeric keypad"
;and a key name, as "Left" "Right" for the cursor keys or
;a keyboard code, or an ASCII value enclosed in single quotes if the
;key should be matched on an ASCII string and not on a physical key.
;Details about this again in the ViNCEd guide.
;
CURSOR_LEFT=Left
CURSOR_RIGHT=Right		
;guess what...
HALF_SCREEN_LEFT=Shift Left	
;moves one string gadget width
HALF_SCREEN_RIGHT=Shift Right	
;to the left/right (not used by default)
TO_LEFT_BORDER=Ctrl Left
TO_RIGHT_BORDER=Ctrl Right	
;moves to the boundary
PREV_WORD=Alt Left
NEXT_WORD=Alt Right		
;moves word-wise
PREV_COMPONENT=Ctrl Alt Left
NEXT_COMPONENT=Ctrl Alt Right	
;moves path-component-wise
CURSOR_LEFT=Num Num4
CURSOR_RIGHT=Num Num6		
;more than one definition is allowed!
TO_LEFT_BORDER=Ctrl Left
TO_RIGHT_BORDER=Ctrl Right
SEND_INPUTS=Return		
;completes the input
INSERT_^J=Shift Alt Return	
;inserts a Ctrl-J.
TAB_FORWARDS=Tab
TAB_BACKWARDS=Shift Tab		
;TAB cycling
EXPAND_PATH=Ctrl Tab
EXPAND_BACKWARDS=Ctrl Shift Tab	
;TAB expansion
DELETE_FORWARDS=Del		
;the "Delete" function
DELETE_BACKWARDS=Backspace	
;the "Backspace" function
DELETE_FULL_LINE=Shift Del	
;delete all
DELETE_WORD_FWDS=Shift Backspace
DELETE_WORD_BKWDS=Alt Backspace	
;one word, backwards
DELETE_COMPONENT_FWDS=Ctrl Alt Del
DELETE_COMPONENT_BKWDS=Ctrl Alt Backspace
DELETE_END_OF_LINE=Alt Del
DELETE_START_OF_LINE=Alt Backspace
;the next are the standard clipboard functions
CUT=RAmiga x			
COPY=RAmiga c
PASTE=RAmiga v
TOGGLE_NUMLOCK=Alt Num[		
;Num[ is the '[' key on the numpad, this toggles the NumLock qualifier.
YANK=RAmiga q			
;this is the intuition style "undo"
HELP=Help			
;the HELP function, if used by the program
INSERT_CSI=Alt Esc		
;inserts 0x9B
INSERT_ESC=Shift Esc		
;inserts 0x1B
